List Revenue Contract Lines
curl --request GET \
--url https://api.meetcampfire.com/rev/api/v1/contract-lines \
--header 'Authorization: <api-key>'import requests
url = "https://api.meetcampfire.com/rev/api/v1/contract-lines"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.meetcampfire.com/rev/api/v1/contract-lines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"results": [
{
"id": 123,
"contract": 123,
"contract_name": "<string>",
"product_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"last_modified_at": "2023-11-07T05:31:56Z",
"ordinal": 1073741823,
"product": 123,
"product_bundle": 123,
"product_sku": "<string>",
"description": "<string>",
"currency": "<string>",
"quantity": 0,
"unit_price": 0,
"discount": 0,
"transaction_price": 0,
"service_start": "2023-12-25",
"service_end": "2023-12-25",
"exclude_from_allocation": true,
"is_mrr": true,
"net_terms": 1073741823
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}Revenue
List Revenue Contract Lines
GET
/
rev
/
api
/
v1
/
contract-lines
List Revenue Contract Lines
Authorizations
Token-based authentication with required prefix "Token"
Query Parameters
Number of results to return per page.
The initial index from which to return the results.
⌘I